Bug 525486 - Xfce Display settings don't support Multi-monitor configuration
Summary: Xfce Display settings don't support Multi-monitor configuration
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 14:53 UTC by Jiri Koten
Modified: 2010-12-04 10:48 UTC (History)
3 users (show)

Fixed In Version: libxfce4util-4.6.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:39:12 UTC


Attachments (Terms of Use)
enum-displays output (955 bytes, text/plain)
2010-03-25 13:20 UTC, Jiri Koten
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 5795 None None None Never

Description Jiri Koten 2009-09-24 14:53:31 UTC
Description of problem:
Xfce Display settings can't be used to configure multi-monitor configuration.
With two monitors (Notebook and external monitor) there is only configuration for Screen1 in Display settings.    

Version-Release number of selected component (if applicable):
fedora-release-11.91-3.noarch
xfce4-settings-4.6.1-4.fc12.x86_64


How reproducible:
100%

  
Actual results:
With two monitors there is configuration only for Screen 1. 

Expected results:
Able to configure both monitors and choose clone or span mode.

Comment 1 Kevin Fenzi 2009-09-24 15:59:23 UTC
Can you open a terminal and run: 

xrandr -q

What does it output?
The Xfce display applet uses the normal Xrandr properties. If they aren't working, it can't do much. What video card/driver are you using? Does the second display work in other desktops/configurations?

Comment 2 Jiri Koten 2009-09-25 09:13:40 UTC
In gnome settings I can configure each monitor and choose whether to use Mirror screens. When I login to Xfce the monitors are in span mode, in Display settings there is only Screen 1, changing some settings (e.g, resolution) cause that notebook's monitor turns off and external monitor changes its resolution.
Using xrandr for changing mode, settings works normally.

Video card: Intel GMA X4500HD (Lenovo T500)
driver: intel

$ xrandr -q
Screen 0: minimum 320 x 200, current 3360 x 1050, maximum 8192 x 8192
LVDS1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1680x1050      60.1*+   50.1  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
DVI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)
DVI2 connected 1680x1050+1680+0 (normal left inverted right x axis y axis) 459mm x 296mm
   1680x1050      59.9*+
   1280x1024      75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DP2 disconnected (normal left inverted right x axis y axis)
DP3 disconnected (normal left inverted right x axis y axis)

Comment 3 Bug Zapper 2009-11-16 12:51:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Kai Hambrecht 2009-12-02 11:34:56 UTC
same here. xfce4-display-settings only shows primary (e.g. internal laptop) display. But xrandr shows both displays and can be used to configure each of them. Within Gnome Session, gnome-display-properties also works fine on both displays

Video card: ATI Technologies Inc M24GL [Mobility FireGL V3200] (Thinkpad T43p)
Driver: radeon

Comment 5 Christoph Wickert 2009-12-02 11:50:19 UTC
Kai, this is known both by Fedora and the Xfce developers. Posting "same here" messages will not change anything. Dual head support will not be introduced before Xfce 4.8. Fore more info, please refer to the upstream bug report.

Comment 6 Kai Hambrecht 2009-12-02 12:41:54 UTC
Sorry, but comment #1 suggests that this could work. Anyway, if this will be supported in 4.8, that's OK. But to prevent those "same here" postings, it would be worth to mention the upstream bug report initially.

Comment 7 Christoph Wickert 2009-12-02 13:15:08 UTC
The upstream bug report is mentioned in "External bug references". For more info, please see http://bugzilla.xfce.org/show_bug.cgi?id=5795

Comment 8 Kevin Fenzi 2010-02-28 06:00:30 UTC
It's worth noting that there were some fixes upstream that have been pulled into out xfwm4 now. 

I'm not sure if this addresses this bug or not. 
Are you hot plugging monitors? Or connecting them at boot?

Kai / Jiri: Can you retest with current f12 versions and clarify if you still see this bug?

Comment 9 Jiri Koten 2010-03-16 11:23:15 UTC
The bug is still present. No difference if I hot plug or connect the monitor at boot.

xfce4-settings-4.6.3-2.fc12.x86_64

Comment 10 Kevin Fenzi 2010-03-16 23:05:31 UTC
Interesting. Can you run the test program from: 
http://bugzilla.xfce.org/show_bug.cgi?id=5795#c9

and attach the output here?

Comment 11 Jiri Koten 2010-03-25 13:20:31 UTC
Created attachment 402539 [details]
enum-displays output

Corresponding actions are: plugging VGA monitor and pressing Fn-F7 - results in clone mode, changing to span mode by running $ xrandr --output LVDS --right-of VGA, unpluging monitor and pressing Fn-F7

Comment 12 Fedora Update System 2010-06-10 23:53:19 UTC
libxfce4util-4.6.2-1.fc13,xfconf-4.6.2-1.fc13,libxfcegui4-4.6.4-1.fc13,libxfce4menu-4.6.2-1.fc13,xfce-utils-4.6.2-1.fc13,exo-0.3.107-2.fc13,xfce4-panel-4.6.4-1.fc13,xfce4-settings-4.6.5-1.fc13,Thunar-1.0.2-1.fc13,xfce4-appfinder-4.6.2-1.fc13,xfce4-session-4.6.2-1.fc13,xfwm4-4.6.2-1.fc13,xfdesktop-4.6.2-1.fc13,Terminal-0.4.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libxfce4util-4.6.2-1.fc13,xfconf-4.6.2-1.fc13,libxfcegui4-4.6.4-1.fc13,libxfce4menu-4.6.2-1.fc13,xfce-utils-4.6.2-1.fc13,exo-0.3.107-2.fc13,xfce4-panel-4.6.4-1.fc13,xfce4-settings-4.6.5-1.fc13,Thunar-1.0.2-1.fc13,xfce4-appfinder-4.6.2-1.fc13,xfce4-session-4.6.2-1.fc13,xfwm4-4.6.2-1.fc13,xfdesktop-4.6.2-1.fc13,Terminal-0.4.5-1.fc13

Comment 13 Fedora Update System 2010-06-10 23:56:06 UTC
libxfce4util-4.6.2-1.fc12,xfconf-4.6.2-1.fc12,libxfcegui4-4.6.4-1.fc12,libxfce4menu-4.6.2-1.fc12,xfce-utils-4.6.2-1.fc12,exo-0.3.107-2.fc12,xfce4-panel-4.6.4-1.fc12,xfce4-settings-4.6.5-1.fc12,Thunar-1.0.2-1.fc12,xfce4-appfinder-4.6.2-1.fc12,xfce4-session-4.6.2-1.fc12,xfwm4-4.6.2-1.fc12,xfdesktop-4.6.2-1.fc12,Terminal-0.4.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libxfce4util-4.6.2-1.fc12,xfconf-4.6.2-1.fc12,libxfcegui4-4.6.4-1.fc12,libxfce4menu-4.6.2-1.fc12,xfce-utils-4.6.2-1.fc12,exo-0.3.107-2.fc12,xfce4-panel-4.6.4-1.fc12,xfce4-settings-4.6.5-1.fc12,Thunar-1.0.2-1.fc12,xfce4-appfinder-4.6.2-1.fc12,xfce4-session-4.6.2-1.fc12,xfwm4-4.6.2-1.fc12,xfdesktop-4.6.2-1.fc12,Terminal-0.4.5-1.fc12

Comment 14 Kevin Fenzi 2010-06-11 00:21:24 UTC
Can you guys try the 4.6.2 update above and let us know how it goes?

Thanks.

Comment 15 Fedora Update System 2010-06-14 17:09:15 UTC
libxfce4util-4.6.2-1.fc13, xfconf-4.6.2-1.fc13, libxfcegui4-4.6.4-1.fc13, libxfce4menu-4.6.2-1.fc13, xfce-utils-4.6.2-1.fc13, exo-0.3.107-2.fc13, xfce4-panel-4.6.4-1.fc13, xfce4-settings-4.6.5-1.fc13, Thunar-1.0.2-1.fc13, xfce4-appfinder-4.6.2-1.fc13, xfce4-session-4.6.2-1.fc13, xfwm4-4.6.2-1.fc13, xfdesktop-4.6.2-1.fc13, Terminal-0.4.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxfce4util xfconf libxfcegui4 libxfce4menu xfce-utils exo xfce4-panel xfce4-settings Thunar xfce4-appfinder xfce4-session xfwm4 xfdesktop Terminal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libxfce4util-4.6.2-1.fc13,xfconf-4.6.2-1.fc13,libxfcegui4-4.6.4-1.fc13,libxfce4menu-4.6.2-1.fc13,xfce-utils-4.6.2-1.fc13,exo-0.3.107-2.fc13,xfce4-panel-4.6.4-1.fc13,xfce4-settings-4.6.5-1.fc13,Thunar-1.0.2-1.fc13,xfce4-appfinder-4.6.2-1.fc13,xfce4-session-4.6.2-1.fc13,xfwm4-4.6.2-1.fc13,xfdesktop-4.6.2-1.fc13,Terminal-0.4.5-1.fc13

Comment 16 Fedora Update System 2010-06-14 17:16:53 UTC
libxfce4util-4.6.2-1.fc12, xfconf-4.6.2-1.fc12, libxfcegui4-4.6.4-1.fc12, libxfce4menu-4.6.2-1.fc12, xfce-utils-4.6.2-1.fc12, exo-0.3.107-2.fc12, xfce4-panel-4.6.4-1.fc12, xfce4-settings-4.6.5-1.fc12, Thunar-1.0.2-1.fc12, xfce4-appfinder-4.6.2-1.fc12, xfce4-session-4.6.2-1.fc12, xfwm4-4.6.2-1.fc12, xfdesktop-4.6.2-1.fc12, Terminal-0.4.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxfce4util xfconf libxfcegui4 libxfce4menu xfce-utils exo xfce4-panel xfce4-settings Thunar xfce4-appfinder xfce4-session xfwm4 xfdesktop Terminal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libxfce4util-4.6.2-1.fc12,xfconf-4.6.2-1.fc12,libxfcegui4-4.6.4-1.fc12,libxfce4menu-4.6.2-1.fc12,xfce-utils-4.6.2-1.fc12,exo-0.3.107-2.fc12,xfce4-panel-4.6.4-1.fc12,xfce4-settings-4.6.5-1.fc12,Thunar-1.0.2-1.fc12,xfce4-appfinder-4.6.2-1.fc12,xfce4-session-4.6.2-1.fc12,xfwm4-4.6.2-1.fc12,xfdesktop-4.6.2-1.fc12,Terminal-0.4.5-1.fc12

Comment 17 Fedora Update System 2010-06-21 12:53:14 UTC
libxfce4util-4.6.2-1.fc12, xfconf-4.6.2-1.fc12, libxfcegui4-4.6.4-1.fc12, libxfce4menu-4.6.2-1.fc12, xfce-utils-4.6.2-1.fc12, exo-0.3.107-2.fc12, xfce4-panel-4.6.4-1.fc12, xfce4-settings-4.6.5-1.fc12, xfce4-appfinder-4.6.2-1.fc12, xfce4-session-4.6.2-1.fc12, xfwm4-4.6.2-1.fc12, xfdesktop-4.6.2-1.fc12, Terminal-0.4.5-1.fc12, Thunar-1.0.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxfce4util xfconf libxfcegui4 libxfce4menu xfce-utils exo xfce4-panel xfce4-settings xfce4-appfinder xfce4-session xfwm4 xfdesktop Terminal Thunar'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libxfce4util-4.6.2-1.fc12,xfconf-4.6.2-1.fc12,libxfcegui4-4.6.4-1.fc12,libxfce4menu-4.6.2-1.fc12,xfce-utils-4.6.2-1.fc12,exo-0.3.107-2.fc12,xfce4-panel-4.6.4-1.fc12,xfce4-settings-4.6.5-1.fc12,Thunar-1.0.2-2.fc12,xfce4-appfinder-4.6.2-1.fc12,xfce4-session-4.6.2-1.fc12,xfwm4-4.6.2-1.fc12,xfdesktop-4.6.2-1.fc12,Terminal-0.4.5-1.fc12

Comment 18 Fedora Update System 2010-06-21 13:14:19 UTC
libxfce4util-4.6.2-1.fc13, xfconf-4.6.2-1.fc13, libxfcegui4-4.6.4-1.fc13, libxfce4menu-4.6.2-1.fc13, xfce-utils-4.6.2-1.fc13, exo-0.3.107-2.fc13, xfce4-panel-4.6.4-1.fc13, xfce4-settings-4.6.5-1.fc13, Thunar-1.0.2-1.fc13, xfce4-appfinder-4.6.2-1.fc13, xfce4-session-4.6.2-1.fc13, xfwm4-4.6.2-1.fc13, xfdesktop-4.6.2-1.fc13, Terminal-0.4.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Kai Hambrecht 2010-06-21 17:26:54 UTC
After applying the mentioned updates (meanwhile using F13), this issue is still present. However, i'm not shure if this would actually get fixed in 4.6.x since Comment #5 tells dual-head will be supported not until 4.8

Comment 20 Kevin Fenzi 2010-06-21 17:52:04 UTC
Yeah, I was hoping it would be fixed, but perhaps not. ;( 

reopening then until 4.8.

Comment 21 Bug Zapper 2010-11-04 09:50:58 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 Bug Zapper 2010-12-04 07:39:12 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 23 Christoph Wickert 2010-12-04 10:48:38 UTC
Bug has been forwarded to Xfce, setting resolution to UPSTREAM


Note You need to log in before you can comment on or make changes to this bug.